Subject: Re: [RFC] powerpc, tm: Drop tm_orig_msr from thread_struct

From: Anshuman Khandual <[email-masked]>
Date: Fri, 24 Apr 2015 10:31:52 +0530

On 04/20/2015 01:45 PM, Anshuman Khandual wrote:
> Currently tm_orig_msr is getting used during process context switch only.
> Then there is ckpt_regs which saves the checkpointed userspace context
> The MSR slot contained in ckpt_regs structure can be used during process
> context switch instead of tm_orig_msr, thus allowing us to drop it from
> thread_struct structure. This patch does that change.
> 
> Signed-off-by: Anshuman Khandual <[email-masked]>
> ---
> This issue came up in the discussion regarding ptrace interface for TM
> specific registers https://lkml.org/lkml/2015/4/20/100, so just wanted
> to give this a try. The basic TM tests still pass after this change.

Hey Michael/Mikey,

Whats your thoughts on this ? Can we drop tm_orig_msr ?